/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.viewer.impl;

import javax.swing.JComponent;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class BasicMetadataPanelProviderTest  
  {
    private BasicMetadataPanelProvider panelProvider;
    
    @Before
    public void setUp() 
      {
        panelProvider = new BasicMetadataPanelProvider();
      }

    @After
    public void tearDown() 
      {
        panelProvider = null;
      }

    /**
     * Test of getDisplayName method, of class BasicMetadataPanelProvider.
     */
    @Test
    public void getDisplayName() 
      {
        assertEquals("Basic", panelProvider.getDisplayName());
      }

    /**
     * Test of isDataObjectSupported method, of class BasicMetadataPanelProvider.
     */
//    @Test
//    public void isDataObjectSupported() 
//      {
//        assertTrue(panelProvider.isDataObjectSupported(null)); // FIXME: 
//      }

    /**
     * Test of createPanel method, of class BasicMetadataPanelProvider.
     */
    @Test
    public void createPanel() 
      {
        final JComponent c1 = panelProvider.createPanel();
        assertNotNull(c1);
        final JComponent c2 = panelProvider.createPanel();
        assertNotNull(c2);
        assertTrue(c1 == c2);
      }

    /**
     * Test of setDataObject method, of class BasicMetadataPanelProvider.
     */
//    @Test TODO
//    public void setDataObject() 
//      {
    // This requires setting up a DataObject with a MIME type
//      }

    /**
     * Test of findSidecarFiles method, of class BasicMetadataPanelProvider.
     */
//    @Test TODO
//    public void findSidecarFiles() 
//      {
//      }
  }