/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.viewer.mock;

import org.openide.filesystems.FileObject;
import org.openide.loaders.DataObjectExistsException;
import org.openide.loaders.MultiDataObject;
import org.openide.loaders.MultiFileLoader;
import org.openide.util.Lookup;
import org.openide.util.lookup.Lookups;
import org.openide.util.lookup.ProxyLookup;
import it.tidalwave.metadata.Metadata;
import it.tidalwave.metadata.MetadataFactory;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class DataObjectMock extends MultiDataObject
  {
    private final Metadata metadata;
    private final Lookup lookup;
    
    protected DataObjectMock (final FileObject fileObject, final MultiFileLoader fileLoader) 
      throws DataObjectExistsException
      {
        super(fileObject, fileLoader);
        metadata = MetadataFactory.Locator.findMetadataFactory().findOrCreateMetadata(this);
        
        if (fileObject.getName().contains("nometadata"))
          {
            lookup = super.getLookup();
          }
        else
          {
            lookup = new ProxyLookup(super.getLookup(), Lookups.fixed(metadata));
          }
      }
    
    @Override
    public Lookup getLookup()
      {
        return lookup;
      }
  }
