/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.viewer.mock;

import javax.swing.JCheckBox;
import javax.swing.JTextField;
import org.jdesktop.beansbinding.AutoBinding;
import org.jdesktop.beansbinding.BeanProperty;
import org.jdesktop.beansbinding.Binding;
import org.jdesktop.beansbinding.BindingGroup;
import org.jdesktop.beansbinding.Bindings;
import org.jdesktop.beansbinding.ELProperty;
import it.tidalwave.metadata.viewer.MetadataItemPaneSupport;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class PaneMock extends MetadataItemPaneSupport<MetadataItemMock>
  {
    public final MetadataItemMock item = getEDTBean();
    public final BindingGroup bindings = new BindingGroup();
    public final JTextField tfName = new JTextField();
    public final JCheckBox cbNameAvailable = new JCheckBox();
    
    public PaneMock()
      {
        super(MetadataItemMock.class);
        cbNameAvailable.setName("cbNameAvailable");
        add(tfName);
        add(cbNameAvailable);
        Binding binding = Bindings.createAutoBinding(AutoBinding.UpdateStrategy.READ_WRITE, 
                                                     item, 
                                                     ELProperty.create("${name}"),      
                                                     tfName,
                                                     BeanProperty.create("text"));
        bindings.addBinding(binding);
        bindings.bind();
      }
  }
